000025041 - How to migrate / upgrade to RSA BSAFE Crypto-J 3.5 + from an earlier version

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000025041
Applies ToRSA BSAFE Crypto-J 3.5
RSA BSAFE Crypto-J 3.6
IssueHow to migrate / upgrade to RSA BSAFE Crypto-J 3.5 + from an earlier version
Notes

The classes in asn1.jar were folded into jsafe.jar as of version 3.5.

There are no changes to the API from previous versions. The changes to the library involve additional algorithm and platform support as well as performance enhancements and bug/vulnerability fixes. Generally, your old code should work as is.

You should be aware that the random number generator changed in 3.5, so if your code expects a certain sequence from a certain seed then you will have a problem.  Generally, you should not code in a way that you expect a certain sequence from a random number generator.

Legacy Article IDa33626

Attachments

    Outcomes